Miroir Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Mirror and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Page précédente: Draft Drawing.svg Dessin Draft
Page suivante: Etirer Draft Draft Stretch.svg Arrow-right.svg

Draft Mirror.svg Miroir Draft

Emplacement du menu
Draft → Miroir
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Echelle Draft, Clone Draft


Description

L'outil Miroir crée une copie en miroir d'un objet sélectionné à l'aide de l'opération Miroir Part. La copie, tout comme un Clone Draft, est liée à l'objet d'origine. Cela signifie que si l'objet d'origine change de forme et de propriétés, la forme en miroir change également.

L'outil Miroir peut être utilisé sur des formes 2D créées avec Atelier Draft, mais peut également être utilisé sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part, Atelier PartDesign, ou Atelier Arch.

Pour créer des copies ou des clones et les placer manuellement, utilisez Déplacer Draft, Pivoter Draft et Clone Draft.

Draft Mirror example.jpg

Objet en miroir créé à l'aide d'une ligne en miroir


Utilisation

  1. Sélectionnez un objet que vous souhaitez mettre en miroir.
  2. Appuyez sur le bouton Draft Mirror.svg Miroir Draft. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  4. Cliquez sur un deuxième point de la vue 3D ou tapez une Coordonnée Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft. Ces points définissent une ligne qui, avec la vue de la caméra, définissent un plan de symétrie utilisé pour créer l'objet en miroir.

Après avoir créé la copie en miroir, sa liaison avec l'objet d'origine peut être supprimée à l'aide de l'outil Tree Part.svg Créer une copie simple Part.

Une copie en miroir d’un objet brouillon peut être transformée en un Filaire Draft, en utilisant Draft Downgrade.svg Rétrograder Draft puis Draft Upgrade.svg Mettre à niveau Draft.

Options

  • Appuyez sur X, Y our Z après le premier point pour contraindre le second point sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relative. Si le mode relatif est activé, les coordonnées du deuxième point sont relatives au premier; sinon, ils sont absolus, pris de l'origine (0,0,0).
  • Appuyez sur T ou cochez la case pour passer en mode continue. Si le mode Continuer est activé, l'outil Miroir redémarre une fois que vous avez attribué le deuxième point, ce qui vous permet de placer un autre objet sans appuyer à nouveau sur le bouton de l'outil.
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer l'Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez sur Contrainte Draft votre deuxième point horizontalement ou verticalement par rapport au premier.
  • Appuyez sur Echap ou sur le bouton Femer pour annuler la commande en cours.

Propriétés

  • DATASource: spécifie l'objet à mettre en miroir,
  • DATABase: spécifie le point de base du plan miroir.
  • DATANormal: spécifie la direction normale du plan miroir.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Miroir peut être utilisé à l'intérieur d'une macro, et, à partir de la console Python, en utilisant la fonction suivante :

mirrored_list = mirror(objlist, p1, p2)
  • Crée des objets Miroir Part à partir de objlist, qui peut être un objet unique ou une liste d'objets.
  • Le plan de mise en miroir est défini par la ligne construite avec les points p1 et p2, parallèlement à la vue actuelle.
  • mirrored_list est renvoyé avec les nouveaux objets.
  • mirrored_list est un objet unique ou une liste d'objets, en fonction de l'entrée objlist.

Exemple:

import FeeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

p1 = FreeCAD.Vector(2000, -1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
mirrored1 = Draft.mirror(Polygon1, p1, p2)

Line2 = Draft.makeLine(-p1, -p2)
mirrored2 = Draft.mirror([Polygon1, Polygon2], -p1, -p2)
Arrow-left.svg Page précédente: Draft Drawing.svg Dessin Draft
Page suivante: Etirer Draft Draft Stretch.svg Arrow-right.svg